<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.sl.usermodel Class Hierarchy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.sl.usermodel Class Hierarchy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/image/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/ss/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 class="title">Hierarchy For Package org.apache.poi.sl.usermodel</h1>
    <span class="packageHierarchyLabel">Package Hierarchies:</span>
    <ul class="horizontal">
        <li><a href="../../../../../overview-tree.html">All Packages</a></li>
    </ul>
</div>
<div class="contentContainer">
    <h2 title="Class Hierarchy">Class Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/AbstractColorStyle.html"
                        title="class in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">AbstractColorStyle</span></a> (implements org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/ColorStyle.html"
                        title="interface in org.apache.poi.sl.usermodel">ColorStyle</a>)
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/Insets2D.html"
                        title="class in org.apache.poi.sl.usermodel"><span class="typeNameLink">Insets2D</span></a>
                    (implements java.lang.Cloneable)
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/SlideShowFactory.html"
                        title="class in org.apache.poi.sl.usermodel"><span class="typeNameLink">SlideShowFactory</span></a>
                </li>
            </ul>
        </li>
    </ul>
    <h2 title="Interface Hierarchy">Interface Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.AutoCloseable
            <ul>
                <li type="circle">java.io.Closeable
                    <ul>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
                                title="interface in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">SlideShow</span></a>&lt;S,P&gt;
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
        <li type="circle">org.apache.poi.sl.usermodel.<a
                href="../../../../../org/apache/poi/sl/usermodel/ColorStyle.html"
                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">ColorStyle</span></a></li>
        <li type="circle">org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/Comment.html"
                                                         title="interface in org.apache.poi.sl.usermodel"><span
                class="typeNameLink">Comment</span></a></li>
        <li type="circle">org.apache.poi.sl.usermodel.<a
                href="../../../../../org/apache/poi/sl/usermodel/FillStyle.html"
                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">FillStyle</span></a></li>
        <li type="circle">org.apache.poi.sl.usermodel.<a
                href="../../../../../org/apache/poi/sl/usermodel/FontCollection.html"
                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">FontCollection</span></a>
        </li>
        <li type="circle">org.apache.poi.common.usermodel.<a
                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                title="interface in org.apache.poi.common.usermodel"><span class="typeNameLink">Hyperlink</span></a>
            <ul>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html"
                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Hyperlink</span></a>&lt;S,P&gt;
                </li>
            </ul>
        </li>
        <li type="circle">org.apache.poi.sl.draw.geom.<a
                href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html"
                title="interface in org.apache.poi.sl.draw.geom"><span class="typeNameLink">IAdjustableShape</span></a>
            <ul>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                        title="interface in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">SimpleShape</span></a>&lt;S,P&gt; (also extends
                    org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                                   title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;S,P&gt;,
                    org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                                   title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;)
                    <ul>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/ConnectorShape.html"
                                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">ConnectorShape</span></a>&lt;S,P&gt;
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                title="interface in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">PictureShape</span></a>&lt;S,P&gt;
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                title="interface in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">TextShape</span></a>&lt;S,P&gt; (also extends java.lang.Iterable&lt;T&gt;)
                            <ul>
                                <li type="circle">org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/AutoShape.html"
                                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">AutoShape</span></a>&lt;S,P&gt;
                                    <ul>
                                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                                href="../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                                                title="interface in org.apache.poi.sl.usermodel"><span
                                                class="typeNameLink">FreeformShape</span></a>&lt;S,P&gt;
                                        </li>
                                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                                href="../../../../../org/apache/poi/sl/usermodel/Line.html"
                                                title="interface in org.apache.poi.sl.usermodel"><span
                                                class="typeNameLink">Line</span></a>&lt;S,P&gt;
                                        </li>
                                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                                href="../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                                                title="interface in org.apache.poi.sl.usermodel"><span
                                                class="typeNameLink">TextBox</span></a>&lt;S,P&gt;
                                        </li>
                                    </ul>
                                </li>
                                <li type="circle">org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.html"
                                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">TableCell</span></a>&lt;S,P&gt;
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
        <li type="circle">java.lang.Iterable&lt;T&gt;
            <ul>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                        title="interface in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">ShapeContainer</span></a>&lt;S,P&gt;
                    <ul>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/GroupShape.html"
                                title="interface in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">GroupShape</span></a>&lt;S,P&gt; (also extends
                            org.apache.poi.sl.usermodel.<a
                                    href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;S,P&gt;,
                            org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                                           title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;)
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Sheet</span></a>&lt;S,P&gt;
                            <ul>
                                <li type="circle">org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">MasterSheet</span></a>&lt;S,P&gt;
                                </li>
                                <li type="circle">org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Notes</span></a>&lt;S,P&gt;
                                </li>
                                <li type="circle">org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Slide</span></a>&lt;S,P&gt;
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">TextParagraph</span></a>&lt;S,P,T&gt;
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">TextShape</span></a>&lt;S,P&gt;
                    (also extends org.apache.poi.sl.usermodel.<a
                            href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                            title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;S,P&gt;)
                    <ul>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/AutoShape.html"
                                title="interface in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">AutoShape</span></a>&lt;S,P&gt;
                            <ul>
                                <li type="circle">org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">FreeformShape</span></a>&lt;S,P&gt;
                                </li>
                                <li type="circle">org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Line.html"
                                        title="interface in org.apache.poi.sl.usermodel"><span
                                        class="typeNameLink">Line</span></a>&lt;S,P&gt;
                                </li>
                                <li type="circle">org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">TextBox</span></a>&lt;S,P&gt;
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/TableCell.html"
                                title="interface in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">TableCell</span></a>&lt;S,P&gt;
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
        <li type="circle">org.apache.poi.sl.usermodel.<a
                href="../../../../../org/apache/poi/sl/usermodel/LineDecoration.html"
                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">LineDecoration</span></a>
        </li>
        <li type="circle">org.apache.poi.sl.usermodel.<a
                href="../../../../../org/apache/poi/sl/usermodel/ObjectData.html"
                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">ObjectData</span></a></li>
        <li type="circle">org.apache.poi.sl.usermodel.<a
                href="../../../../../org/apache/poi/sl/usermodel/ObjectMetaData.html"
                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">ObjectMetaData</span></a>
        </li>
        <li type="circle">org.apache.poi.sl.usermodel.<a
                href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">PaintStyle</span></a>
            <ul>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.GradientPaint.html"
                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">PaintStyle.GradientPaint</span></a>
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.SolidPaint.html"
                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">PaintStyle.SolidPaint</span></a>
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.TexturePaint.html"
                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">PaintStyle.TexturePaint</span></a>
                </li>
            </ul>
        </li>
        <li type="circle">org.apache.poi.sl.usermodel.<a
                href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">PictureData</span></a></li>
        <li type="circle">org.apache.poi.sl.usermodel.<a
                href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">PlaceableShape</span></a>&lt;S,P&gt;
            <ul>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/GraphicalFrame.html"
                        title="interface in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">GraphicalFrame</span></a>&lt;S,P&gt; (also extends
                    org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                                   title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;)
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/GroupShape.html"
                        title="interface in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">GroupShape</span></a>&lt;S,P&gt; (also extends org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,
                    org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;S,P&gt;)
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/ObjectShape.html"
                        title="interface in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">ObjectShape</span></a>&lt;S,P&gt; (also extends
                    org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                                   title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;)
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                        title="interface in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">SimpleShape</span></a>&lt;S,P&gt; (also extends
                    org.apache.poi.sl.draw.geom.<a
                            href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html"
                            title="interface in org.apache.poi.sl.draw.geom">IAdjustableShape</a>,
                    org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                                   title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;)
                    <ul>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/ConnectorShape.html"
                                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">ConnectorShape</span></a>&lt;S,P&gt;
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                title="interface in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">PictureShape</span></a>&lt;S,P&gt;
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                title="interface in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">TextShape</span></a>&lt;S,P&gt; (also extends java.lang.Iterable&lt;T&gt;)
                            <ul>
                                <li type="circle">org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/AutoShape.html"
                                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">AutoShape</span></a>&lt;S,P&gt;
                                    <ul>
                                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                                href="../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                                                title="interface in org.apache.poi.sl.usermodel"><span
                                                class="typeNameLink">FreeformShape</span></a>&lt;S,P&gt;
                                        </li>
                                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                                href="../../../../../org/apache/poi/sl/usermodel/Line.html"
                                                title="interface in org.apache.poi.sl.usermodel"><span
                                                class="typeNameLink">Line</span></a>&lt;S,P&gt;
                                        </li>
                                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                                href="../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                                                title="interface in org.apache.poi.sl.usermodel"><span
                                                class="typeNameLink">TextBox</span></a>&lt;S,P&gt;
                                        </li>
                                    </ul>
                                </li>
                                <li type="circle">org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.html"
                                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">TableCell</span></a>&lt;S,P&gt;
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                        title="interface in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">TableShape</span></a>&lt;S,P&gt; (also extends org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;)
                </li>
            </ul>
        </li>
        <li type="circle">org.apache.poi.sl.usermodel.<a
                href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html"
                title="interface in org.apache.poi.sl.usermodel"><span
                class="typeNameLink">PlaceholderDetails</span></a></li>
        <li type="circle">org.apache.poi.sl.usermodel.<a
                href="../../../../../org/apache/poi/sl/usermodel/Resources.html"
                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Resources</span></a></li>
        <li type="circle">org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/Shadow.html"
                                                         title="interface in org.apache.poi.sl.usermodel"><span
                class="typeNameLink">Shadow</span></a>&lt;S,P&gt;
        </li>
        <li type="circle">org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                                         title="interface in org.apache.poi.sl.usermodel"><span
                class="typeNameLink">Shape</span></a>&lt;S,P&gt;
            <ul>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/Background.html"
                        title="interface in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">Background</span></a>&lt;S,P&gt;
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/GraphicalFrame.html"
                        title="interface in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">GraphicalFrame</span></a>&lt;S,P&gt; (also extends
                    org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                                   title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;S,P&gt;)
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/GroupShape.html"
                        title="interface in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">GroupShape</span></a>&lt;S,P&gt; (also extends org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;S,P&gt;,
                    org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;S,P&gt;)
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/ObjectShape.html"
                        title="interface in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">ObjectShape</span></a>&lt;S,P&gt; (also extends
                    org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                                   title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;S,P&gt;)
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                        title="interface in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">SimpleShape</span></a>&lt;S,P&gt; (also extends
                    org.apache.poi.sl.draw.geom.<a
                            href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html"
                            title="interface in org.apache.poi.sl.draw.geom">IAdjustableShape</a>,
                    org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                                   title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;S,P&gt;)
                    <ul>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/ConnectorShape.html"
                                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">ConnectorShape</span></a>&lt;S,P&gt;
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                title="interface in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">PictureShape</span></a>&lt;S,P&gt;
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                title="interface in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">TextShape</span></a>&lt;S,P&gt; (also extends java.lang.Iterable&lt;T&gt;)
                            <ul>
                                <li type="circle">org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/AutoShape.html"
                                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">AutoShape</span></a>&lt;S,P&gt;
                                    <ul>
                                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                                href="../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                                                title="interface in org.apache.poi.sl.usermodel"><span
                                                class="typeNameLink">FreeformShape</span></a>&lt;S,P&gt;
                                        </li>
                                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                                href="../../../../../org/apache/poi/sl/usermodel/Line.html"
                                                title="interface in org.apache.poi.sl.usermodel"><span
                                                class="typeNameLink">Line</span></a>&lt;S,P&gt;
                                        </li>
                                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                                href="../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                                                title="interface in org.apache.poi.sl.usermodel"><span
                                                class="typeNameLink">TextBox</span></a>&lt;S,P&gt;
                                        </li>
                                    </ul>
                                </li>
                                <li type="circle">org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableCell.html"
                                        title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">TableCell</span></a>&lt;S,P&gt;
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                        title="interface in org.apache.poi.sl.usermodel"><span
                        class="typeNameLink">TableShape</span></a>&lt;S,P&gt; (also extends org.apache.poi.sl.usermodel.<a
                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;S,P&gt;)
                </li>
            </ul>
        </li>
        <li type="circle">org.apache.poi.sl.usermodel.<a
                href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.html"
                title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">StrokeStyle</span></a></li>
        <li type="circle">org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/TabStop.html"
                                                         title="interface in org.apache.poi.sl.usermodel"><span
                class="typeNameLink">TabStop</span></a></li>
        <li type="circle">org.apache.poi.sl.usermodel.<a
                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.BulletStyle.html"
                title="interface in org.apache.poi.sl.usermodel"><span
                class="typeNameLink">TextParagraph.BulletStyle</span></a></li>
        <li type="circle">org.apache.poi.sl.usermodel.<a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                                         title="interface in org.apache.poi.sl.usermodel"><span
                class="typeNameLink">TextRun</span></a></li>
    </ul>
    <h2 title="Enum Hierarchy">Enum Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;,
                    java.io.Serializable)
                    <ul>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">PictureData.PictureType</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextDirection.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">TextShape.TextDirection</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextAutofit.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">TextShape.TextAutofit</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/TextShape.TextPlaceholder.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">TextShape.TextPlaceholder</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/ObjectMetaData.Application.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">ObjectMetaData.Application</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineCap.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">StrokeStyle.LineCap</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineDash.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">StrokeStyle.LineDash</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/StrokeStyle.LineCompound.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">StrokeStyle.LineCompound</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/VerticalAlignment.html"
                                title="enum in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">VerticalAlignment</span></a></li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/PresetColor.html"
                                title="enum in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">PresetColor</span></a></li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.TextAlign.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">TextParagraph.TextAlign</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.FontAlign.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">TextParagraph.FontAlign</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/ShapeType.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">ShapeType</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/TableCell.BorderEdge.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">TableCell.BorderEdge</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                title="enum in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">Placeholder</span></a></li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/AutoNumberingScheme.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">AutoNumberingScheme</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/TabStop.TabStopType.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">TabStop.TabStopType</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.TextCap.html"
                                title="enum in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">TextRun.TextCap</span></a></li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.FieldType.html"
                                title="enum in org.apache.poi.sl.usermodel"><span
                                class="typeNameLink">TextRun.FieldType</span></a></li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/LineDecoration.DecorationShape.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">LineDecoration.DecorationShape</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/LineDecoration.DecorationSize.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">LineDecoration.DecorationSize</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.PaintModifier.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">PaintStyle.PaintModifier</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.GradientPaint.GradientType.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">PaintStyle.GradientPaint.GradientType</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/RectAlign.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">RectAlign</span></a>
                        </li>
                        <li type="circle">org.apache.poi.sl.usermodel.<a
                                href="../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.PlaceholderSize.html"
                                title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">PlaceholderDetails.PlaceholderSize</span></a>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/image/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/ss/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
